#ifndef _Triangle_h
  #define _Triangle_h

  #include "Types.h"

  typedef void tSurface_Surface;

  double Edge_Length(const double2,const double2);

  double Triangle_Volume(const double2,const double2,const double2);

  double Triangle_Deter(const double2,const double2,const double2);

  void Triangle_NormalVector(const double2,const double2,const double2,
    double2);

/*  tSurface_Surface *Surface_Init(FILE *,uint,uint); */

  #define Triangle_Mach(m,ve) sqrt(double2_norm2((ve)->v)*(ve)->rho/\
    ((m)->kappa*(ve)->p))


  void Triangle_VectorRotation(const double2,const double2,
    const double2,const double2,const double2,const double2,
    const double2,double2);

#endif

